- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GPop::ServerProtocol::Text Class Referenceabstract

An interface used by ServerProtocol to provide response text strings. More...

`#include <gpopserverprotocol.h>`

Inheritance diagram for GPop::ServerProtocol::Text:

## Public Member Functions
virtual std::string | greeting () const =0
virtual std::string | quit () const =0
virtual std::string | capa () const =0
virtual std::string | user (const std::string &id) const =0
virtual | ~Text ()

## Detailed Description

An interface used by ServerProtocol to provide response text strings.

Definition at line 62 of file gpopserverprotocol.h.

## Constructor & Destructor Documentation

GPop::ServerProtocol::Text::~Text | ( |  | ) |
| virtual

Definition at line 612 of file gpopserverprotocol.cpp.

## Member Function Documentation

virtual std::string GPop::ServerProtocol::Text::capa | ( |  | ) | const
| pure virtual

Implemented in GPop::ServerProtocolText.

virtual std::string GPop::ServerProtocol::Text::greeting | ( |  | ) | const
| pure virtual

Implemented in GPop::ServerProtocolText.

virtual std::string GPop::ServerProtocol::Text::quit | ( |  | ) | const
| pure virtual

Implemented in GPop::ServerProtocolText.

virtual std::string GPop::ServerProtocol::Text::user | ( | const std::string & | id | ) | const
| pure virtual

Implemented in GPop::ServerProtocolText.

The documentation for this class was generated from the following files:

- gpopserverprotocol.h
- gpopserverprotocol.cpp